io_socketpair(3)

NAME
io_socketpair - create a pair of sockets

SYNTAX
#include <libowfat/io.h> int io_socketpair(int64 pfd[2]);

DESCRIPTION
io_socketpair creates a new UNIX socket pair and writes both descriptors to d. The socket pair works much like a pipe, but it is bidirectional (i.e. both descriptors are for reading and writing). io_socketpair returns 1 to indicate success. If something goes wrong, io_socketpair returns 0, setting errno to indicate the error; in this case it frees any memory that it allocated for the new socketpair, and it leaves d alone.

SEE ALSO
io_readfile(3), io_createfile(3), io_pipe(3)